根据ID列表查询任务(免费
方法: POST路径: /mj/task/list-by-condition
请求参数
Header 参数
text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}Body 参数 application/json
text
ids
array
[string]
可选
示例
{
"ids"
:
[
"string"
]
}请求示例代码
Shell
bash
curl --location --request POST '/mj/task/list-by-condition' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"ids": [
"string"
]
}'返回响应
🟢 200 OK
内容类型: application/json
响应结构
text
Array of:
action
enum<string>
任务类型
可选
枚举值:
IMAGINE
UPSCALE
VARIATION
REROLL
DESCRIBE
BLEND
description
string
任务描述
可选
failReason
string
失败原因
可选
finishTime
integer
<int64>
结束时间
可选
id
string
ID
可选
imageUrl
string
图片url
可选
progress
string
任务进度
可选
prompt
string
提示词
可选
promptEn
string
提示词-英文
可选
properties
object
可选
startTime
integer
<int64>
开始执行时间
可选
state
string
自定义参数
可选
status
enum<string>
任务状态
可选
枚举值:
NOT_START
SUBMITTED
IN_PROGRESS
FAILURE
SUCCESS
submitTime
integer
<int64>
提交时间
可选示例
json
[
{
"action": "IMAGINE",
"description": "string",
"failReason": "string",
"finishTime": 0,
"id": "string",
"imageUrl": "string",
"progress": "string",
"prompt": "string",
"promptEn": "string",
"properties": {},
"startTime": 0,
"state": "string",
"status": "NOT_START",
"submitTime": 0
}
]